Update user availability schedule
Modify an existing schedule by updating its rules, timezone, and name All fields are optional - only provided fields will be updated.
PUT
/
calendars
/
schedules
/
{id}
Update user availability schedule
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Business Hours',
rules: [{type: 'wday', day: 'monday', intervals: [{from: '08:00', to: '18:00'}]}],
timezone: 'America/Los_Angeles'
})
};
fetch('https://services.leadconnectorhq.com/calendars/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/schedules/{id}"
payload = {
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Update user availability schedule
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Business Hours',
rules: [{type: 'wday', day: 'monday', intervals: [{from: '08:00', to: '18:00'}]}],
timezone: 'America/Los_Angeles'
})
};
fetch('https://services.leadconnectorhq.com/calendars/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/schedules/{id}"
payload = {
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}